/*=============================================================================
Vitalnix/ACCDB - Unified Account Database
include/accdb_int.h - Private include file for ACCDB back-end modules
  Copyright (C) Jan Engelhardt <jengelh [at] linux01 gwdg de>, 2003 - 2004
  -- License restrictions apply (Dual FAL/LGPL2)
  -- For details see doc/FAL.txt and doc/LGPL2.txt.
  $Id: accdb_int.h,v 1.8 2004/06/07 12:42:40 hirogen2 Exp $
=============================================================================*/
#ifndef _ACCDB_INT_H
#define _ACCDB_INT_H 1

#ifdef __cplusplus
extern "C" {
#endif

#ifdef __cplusplus
#    define MODULE_NAME(s) extern "C" const char _module_name[] = (s);
#    define MODULE_DESC(s) extern "C" const char _module_desc[] = (s);
#    define MODULE_INFO(s) extern "C" const char _module_info[] = (s);
#else
#    define MODULE_NAME(s) const char _module_name[] = (s);
#    define MODULE_DESC(s) const char _module_desc[] = (s);
#    define MODULE_INFO(s) const char _module_info[] = (s);
#endif

extern int q_init(struct accdb_module *, const char *);
extern int q_open(struct accdb_module *);
extern int q_usertrav(struct accdb_module *, struct accdb_user *);
extern int q_userinfo(struct accdb_module *, struct accdb_user *,
 struct accdb_user *, size_t);
extern int q_useradd(struct accdb_module *, struct accdb_user *);
extern int q_usermod(struct accdb_module *, struct accdb_user *,
 struct accdb_user *);
extern int q_userdel(struct accdb_module *, struct accdb_user *);
extern int q_grouptrav(struct accdb_module *, struct accdb_group *);
extern int q_groupinfo(struct accdb_module *, struct accdb_group *,
 struct accdb_group *, size_t);
extern int q_groupadd(struct accdb_module *, struct accdb_group *);
extern int q_groupmod(struct accdb_module *, struct accdb_group *,
 struct accdb_group *);
extern int q_groupdel(struct accdb_module *, struct accdb_group *);
extern int q_close(struct accdb_module *);
extern long q_sysctl(unsigned int, ...);
extern void q_deinit(struct accdb_module *);

#ifdef __cplusplus
};
#endif

#endif // _ACCDB_INT_H

//==[ End of file ]============================================================
