/*=============================================================================
Vitalnix - User Management Suite
sysprog/shared.h
  Copyright (C) Jan Engelhardt <jengelh [at] linux01 gwdg de>, 2003 - 2004
  -- License restrictions apply (Dual FAL/LGPL2)
  -- For details see doc/FAL.txt and doc/LGPL2.txt.
  $Id: shared.h,v 1.13 2004/09/09 10:31:35 hirogen2 Exp $
=============================================================================*/
#ifndef SYSPROG_SHARED_H
#define SYSPROG_SHARED_H 1

#define MAXFNLEN 512  // max length for filename buffer
#define MAXLNLEN 1024 // max length for line buffer
#define MAXSNLEN 128  // max length for a short line

#ifndef S_IRGRP
#    define S_IRGRP 0040
#endif
#ifndef S_IWGRP
#    define S_IWGRP 0020
#endif
#ifndef S_IROTH
#    define S_IROTH 0004
#endif
#ifndef S_IWOTH
#    define S_IWOTH 0002
#endif

#ifdef __cplusplus
extern "C" {
#endif

struct itab {
    const char *fmt;
    char type;
    void *ptr;
    int (*callback)(const char *, char, void *);
};

extern int SH_count_args(const char **);
extern void SH_interactive(struct itab *);
extern int SH_runcmd(const char *, struct HX_repmap *);
extern long SH_string_to_iday(char *);
extern int SH_only_digits(char *);

#ifdef __cplusplus
} // extern "C"
#endif

#endif // SYSPROG_SHARED_H

//==[ End of file ]============================================================
